<h3 id="comments"><?php comments_number('No Comments', '1 Comment', '% Comments' );?></h3>
<div id="comments-wrap">
<?php if ($comments) : ?>
	<?php foreach ($comments as $comment) : ?>
		<div class="comments" id="comment-<?php comment_ID() ?>">
        	<div class="comments-avatar">
                 <?php echo get_avatar( $comment, 32 ); ?>
            </div>
            <div class="comments-content">
            	<?php if ($comment->comment_approved == '0') : ?>
				<em>Your comment is awaiting moderation.</em><br />
				<?php endif; ?>
            	<?php comment_text() ?>
                <div class="comments-author">
				- <?php comment_author_link() ?> on <a href="#comment-<?php comment_ID() ?>" title="permanent link to this comment"><?php comment_date('F jS, Y') ?></a> <?php edit_comment_link('edit this comment','&nbsp;&nbsp;',''); ?>
                </div>
            </div>
            <div class="clear">
                        
            </div>
        </div>
    <?php endforeach;?>
 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ('open' == $post->comment_status) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments">Comments are closed.</p>

	<?php endif; ?>
<?php endif; ?>
<?php if ('open' == $post->comment_status) : ?>
<h3 id="respond">Leave your comment</h3>
<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( $user_ID ) : ?>

<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Log out &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> style="width:230px; font:14px Georgia, 'Times New Roman', Times, serif; border:1px solid #aaa; padding:5px 5px 5px 5px;"/>
<label for="author"><small>Name <?php if ($req) echo "(required)"; ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> style="width:230px; font:14px Georgia, 'Times New Roman', Times, serif; border:1px solid #aaa; padding:5px 5px 5px 5px;"/>
<label for="email"><small>Mail (will not be published) <?php if ($req) echo "(required)"; ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" style="width:230px; font:14px Georgia, 'Times New Roman', Times, serif; border:1px solid #aaa; padding:5px 5px 5px 5px;"/>
<label for="url"><small>Website</small></label></p>

<?php endif; ?>

<!--<p><small><strong>XHTML:</strong> You can use these tags: <code><?php echo allowed_tags(); ?></code></small></p>-->

<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4" style="width:530px; font:14px Georgia, 'Times New Roman', Times, serif; border:1px solid #aaa; padding:3px 3px 3px 3px;"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="Submit Comment" style="font:14px Georgia, 'Times New Roman', Times, serif; border:1px solid #aaa; padding:5px 5px 5px 5px; background:#eee;"/>
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>

</div>
   