<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php if (is_category() || is_tag() || is_archive()) { ?><?php wp_title(''); ?> - <?php bloginfo('title');?><?php } elseif (is_single() || is_page()) { ?><?php wp_title(''); ?><?php } else { ?><?php bloginfo('title');?><?php } ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
</head>
<body>
	<div id="outer-wrapper">
    	<div id="menu-nav">
        	<ul>
            	<li <?php if(is_home()){ echo 'class="current_page_item"';}?>>
                	<a href="<?php bloginfo('url');?>">Home</a>
                </li>
                <?php wp_list_pages('title_li=&depth=-1');?>
            </ul>
            <div class="clear"></div>
        </div>
        
        <div id="heading">
        	<div id="header">
            	<?php bloginfo('title');?>
            </div>
            
            <div id="description">
            	<?php bloginfo('description');?>
            </div>
        </div>